Bug 106719 - -k argument still having problems with relative paths
-k argument still having problems with relative paths
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
Depends On:
  Show dependency treegraph
Reported: 2003-10-09 16:42 EDT by Pavel Kankovsky
Modified: 2007-04-18 12:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-26 21:19:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pavel Kankovsky 2003-10-09 16:42:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030918

Description of problem:
an ugly child of bug #40834:
up2date cannot handle relative paths in -k argument when it gets multiple
directories separated by colons

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. put some new packages in multiple directories, say i386 and i686
2. run up2date -k i386:i686 -u

Actual Results:  up2date creates a dangling relative symlink in
/var/spool/up2date when it should install a file in the second directory, and
dies complaining it cannot open the symlink (no such file or directory)

Expected Results:  no errors, of course :)

Additional info:

the bug is obvious: os.path.abspath(os.path.expanduser(...)) is done on the
whole list of directories, and only the first component is made absolute
Comment 1 Adrian Likins 2003-10-09 20:52:23 EDT
fixed in cvs / 4.1.7

Note You need to log in before you can comment on or make changes to this bug.